# Class Lease

java.lang.Object
java.rmi.dgc.Lease

All Implemented Interfaces:
  `Serializable`

public final class Lease extends Object implements Serializable
A lease contains a unique VM identifier and a lease duration. A Lease object is used to request and grant leases to remote object references.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Lease(VMID id, long duration)`
Constructs a lease with a specific VMID and lease duration.

## Method Summary

Modifier and Type
Method
Description
`long`
`getValue()`
Returns the lease duration.
`VMID`
`getVMID()`
Returns the client VMID associated with the lease.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### Lease

public Lease(VMID id, long duration)
Constructs a lease with a specific VMID and lease duration. The vmid may be null.

Parameters:
  `id` - VMID associated with this lease
  `duration` - lease duration

## Method Details

### getVMID

public VMID getVMID()
Returns the client VMID associated with the lease.

Returns:
  client VMID

### getValue

public long getValue()
Returns the lease duration.

Returns:
  lease duration